% This script loads and plots data for making Figure 4 in paper
%-------------------------------------------------------------------------
load pidecomp_data  % Load all data displayed in plot
% 
%  Plot figure
%
close('all')
%
figure('position',[500,100,800,500])
%
yyaxis left
h=plot(runav(year,7),runav(pifullp,7),'-k',runav(year,7),runav(term1,7),'--g',runav(year,7),runav(term2,7),'--r','linewidth',1);
set(gca,'ycolor','k')
ylabel('Perturbation Potential Intensity (m/s)')
%
yyaxis right
h2=plot(runav(year,7),runav(y,7),'-b','linewidth',1);
%
set(gca,'fontsize',13,'fontweight','bold')
xlabel('Year')
set(gca,'ycolor','b')
ylabel('Annual Frequency')
legend([h;h2],'Perturbation PI','Global contribution','Local contribution','Number of TCs','location','north')
